Subject: Re: [PATCH 0/5] avoid peeking into `struct lock_file`

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Jan 2021 00:19:51 -0800

Martin Ågren <[email-masked]> writes:

> To be perfectly honest, I just grepped around. I just tried your
> suggestion and it seems like I really did catch everyone who looks at
> `->tempfile` or `.tempfile`.

That's wonderful ;-)

> I could add a remark in the commit message of the last patch along the
> lines of "After this commit, renaming the `tempfile` field only triggers
> compilation errors in lockfile.[ch] and this one instance that we're
> intentionally leaving here.".

It would be a nice addition to the log message to help readers to
feel confident about the conversion.  It is OK if you want to add
one, and certainly a good trick to have in your toolbox for your
next conversion, but it may not be worth rerolling only to update
the log message with such a remark.

Thanks.